import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected qq(): void;
    protected qb: IndicatorCalculationStrategy;
    protected abstract readonly qc: IndicatorCalculationStrategy;
    protected abstract readonly qp: Type;
    static qf: List$1<string>;
    protected qi(): number;
    qr(a: number): void;
    protected qk(): number;
    protected qh(): number;
    static qv(a: number, b: Type, c: string): DependencyProperty;
    protected static qu(a: number, b: Type): DependencyProperty;
    protected static qs(a: number, b: Type): DependencyProperty;
    protected static qw(a: number, b: Type): DependencyProperty;
    protected po(a: number, b: number): IList$1<string>;
    protected pl(a: number, b: number): boolean;
    protected qe(a: FinancialCalculationDataSource): boolean;
    private qd;
    protected qj(a: number): number;
    protected mk(a: number, b: number): FinancialCalculationDataSource;
    protected qg(): number;
    protected static qt(a: number, b: Type): DependencyProperty;
    protected iz(a: any, b: string, c: any, d: any): void;
}
